Subject: Re: [RFC/PATCH] Implement poor-man's submodule support in pre-commit hook

From: Junio C Hamano <[email-masked]>
Date: Wed, 20 Dec 2006 11:37:12 -0800

Andy Parkins <[email-masked]> writes:

> Problems:
>  - git-prune in the submodule could destroy supermodule-referenced
>    commits
>  - no checkout support
>  - no merge support (other than what git provides for the .gitmodule
>    file)
>  - no check for dirty submodule before commit
>
> Signed-off-by: Andy Parkins <[email-masked]>

I do not think these are insurmountable.

As you fix them and enhance the support, I suspect you would
want a separate command to manage .gitmodule file and submodules
referenced by it.  I think it would be better to keep the patch
to the template to the minimum (for example, run "git submodule
update" if there is .gitmodules file at the toplevel), and
implement the body of the processing in "git-submodule.sh", or
something like that.